# Google Flights

With Talordata SERP API, you can configure **Google Flights** queries, including number of passengers and advanced parameters output options.

<details>

<summary><strong><code>departure_id</code></strong>,Departure airport code <strong>(Required)</strong></summary>

Parameter defines the departure airport code or location kgmid.\
An airport code is an uppercase 3-letter code. You can search for it on [Google Flights](https://www.google.com/travel/flights) or [IATA](https://www.iata.org/en/publications/directories/code-search).\
For example, `CDG` is Paris Charles de Gaulle Airport and `AUS` is Austin-Bergstrom International Airport.\
A location kgmid is a string that starts with `/m/`. You can search for a location on [Wikidata](https://www.wikidata.org/) and use its "Freebase ID" as the location kgmid. For example, `/m/0vzm` is the location kgmid for Austin, TX.\
You can specify multiple departure airports by separating them with a comma. For example, `CDG,ORY,/m/04jpl`.

**Example Request:**\
Example using the parameter **`departure_id`**: CDG

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "outbound_date=2025-08-31"
```

</details>

<details>

<summary><strong><code>arrival_id</code></strong>,Arrival airport code <strong>(Required)</strong></summary>

Parameter defines the arrival airport code or location kgmid.\
An airport code is an uppercase 3-letter code. You can search for it on [Google Flights](https://www.google.com/travel/flights) or [IATA](https://www.iata.org/en/publications/directories/code-search).\
For example, `CDG` is Paris Charles de Gaulle Airport and `AUS` is Austin-Bergstrom International Airport.\
A location kgmid is a string that starts with `/m/`. You can search for a location on [Wikidata](https://www.wikidata.org/) and use its "Freebase ID" as the location kgmid. For example, `/m/0vzm` is the location kgmid for Austin, TX.\
You can specify multiple arrival airports by separating them with a comma. For example, `CDG,ORY,/m/04jpl`.

**Example Request:**\
Example using the parameter **`arrival_id`**: AUS

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "outbound_date=2025-08-31"
```

</details>

## Advanced Parameters

<details>

<summary><strong><code>outbound_date</code> ,</strong>utbound Date<strong>(Optional)</strong></summary>

Parameter defines the outbound date. The format is YYYY-MM-DD. e.g. `2025-08-31`

**Example Request:**

Example results for **`departure_id`**: CDG,**`arrival_id`**: AUS,`outbound_date`:2025-08-31

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "outbound_date=2025-08-31"
```

</details>

<details>

<summary><strong><code>return_date</code> ,</strong>Return Date<strong>(Optional)</strong></summary>

Parameter defines the return date. The format is YYYY-MM-DD. e.g. `2025-09-06`

**Example Request:**

Example results for **`departure_id`**: CDG,**`arrival_id`**: AUS,`return_date`:2025-09-06

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "outbound_date=2025-08-31" \
 -d "return_date=2025-09-06"
```

</details>

<details>

<summary><strong><code>travel_class</code> ,</strong>Travel Class<strong>(Optional)</strong></summary>

Parameter defines the travel class.\
Available options:\
\
`1` - Economy (default)\
`2` - Premium economy\
`3` - Business\
`4` - First

**Code Example:**

Example results for **`departure_id`**: CDG,**`arrival_id`**: AUS,`travel_class`:1

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "travel_class=1"
```

</details>

## Number of Passengers

<details>

<summary><strong><code>adults</code> ,</strong>Number of Adults<strong>(Optional)</strong></summary>

This parameter defines the number of adults. The default value is 1.

**Code Example:**

Example results for **`departure_id`**: CDG,**`arrival_id`**: AUS,**`adults`**:1

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "adults=1"
```

</details>

<details>

<summary><strong><code>children</code> ,</strong>Number of Children<strong>(Optional)</strong></summary>

This parameter defines the number of children. The default value is 0.

**Example Request:**

Example results for **`departure_id`**: CDG,**`arrival_id`**: AUS,**`children`**:0

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "children=0"
```

</details>

<details>

<summary><strong><code>infants_in_seat</code>,</strong>Number of Infants in seat<strong>(Optional)</strong></summary>

This parameter defines the number of infants that can be accommodated in a seat. The default value is 0.

**Code Example:**

Example results for **`departure_id`**: CDG,**`arrival_id`**: AUS,**`infants_in_seat`**:1

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "infants_in_seat=1"
```

</details>

<details>

<summary><strong><code>infants_on_lap</code> ,</strong>Number of Infants on lap<strong>(Optional)</strong></summary>

This parameter defines the number of lap infants. The default value is 0.

**Code Example:**

Example results for **`departure_id`**: CDG,**`arrival_id`**: AUS,**`infants_on_lap`**:0

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_flights" \
 -d "departure_id=CDG" \
 -d "arrival_id=AUS" \
 -d "json=1" \
 -d "infants_on_lap=0"
```

</details>

If you need further assistance, feel free to contact us via **live chat** or email **<support@talordata.com>**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talordata.com/serp-api/query-parameters/google/google-flights.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
